## aptoncd 0.1

=== Makefile ===
PO = ca de el en en_GB es fa fr hi hr it nb nl pl pt pt_BR ro ru sv tr uk zh_CN

PREFIX ?= /usr

all: check po-data
	@echo "Done"
	@echo "Type: make install now"

check:
	@/bin/echo -n "Checking for Python... "
	@which python || ( echo "Not found." && /bin/false )

clean:
	find . -type f -iregex '.*~$$'  -print | xargs rm -rf
	find . -type d -iregex '.*\.svn$$'  -print | xargs rm -rf
	find . -type f -iregex '.*\.pyc$$'  -print | xargs rm -rf
	find . -type f -iregex '.*\.gladep$$'  -print | xargs rm -rf
	find . -type f -iregex '.*\.bak$$'  -print | xargs rm -rf

make-install-dirs: make-install-dirs-po

	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/aptoncd
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps
	mkdir -p $(DESTDIR)$(PREFIX)/share/gnome/help/aptoncd/C
	mkdir -p $(DESTDIR)$(PREFIX)/share/locale

make-install-dirs-po:
	for lang in $(PO); do mkdir -p $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES; done

install: make-install-dirs install-po
	install -m 644 *.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 aptoncd.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 config.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 HalManager.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 CreateAptOncd.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 msg.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 restore.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 metaPackage.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 mediaInfo.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 utils.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 parsegz.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 xmlfile.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 configDownload.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 DownloadGUI.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 RepDownload.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 download.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 PackageInfo.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 PackagesParser.py $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 755 MediaSplitter.py $(DESTDIR)$(PREFIX)/share/aptoncd

	install -m 644 pixmaps/16.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/aptoncd.png
	install -m 644 pixmaps/32.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/aptoncd.png
	install -m 644 pixmaps/48.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/aptoncd.png
	install -m 644 pixmaps/64.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/aptoncd.png
	install -m 644 pixmaps/128.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/aptoncd.png	
	install -m 644 doc/C/* $(DESTDIR)$(PREFIX)/share/gnome/help/aptoncd/C
	install -m 644 aptoncd.glade $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 644 *.xml $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 644 aptoncd*.png $(DESTDIR)$(PREFIX)/share/aptoncd
	install -m 644 aptoncd.desktop $(DESTDIR)$(PREFIX)/share/applications/

	sed 's/aptoncd.glade/\/usr\/share\/aptoncd\/aptoncd.glade/' $(DESTDIR)$(PREFIX)/share/aptoncd/config.py > $(DESTDIR)$(PREFIX)/share/aptoncd/config
	sed 's/content.xml/\/usr\/share\/aptoncd\/content.xml/' $(DESTDIR)$(PREFIX)/share/aptoncd/config > $(DESTDIR)$(PREFIX)/share/aptoncd/config.py
	sed 's/locale/\/usr\/share\/locale/' $(DESTDIR)$(PREFIX)/share/aptoncd/config.py > $(DESTDIR)$(PREFIX)/share/aptoncd/config
	sed 's/doc\/C\/index.xml/\/usr\/share\/gnome\/help\/aptoncd\/C\/index.xml/' $(DESTDIR)$(PREFIX)/share/aptoncd/config > $(DESTDIR)$(PREFIX)/share/aptoncd/config.py
	rm $(DESTDIR)$(PREFIX)/share/aptoncd/config 

	cd $(DESTDIR)$(PREFIX)/bin && \
	ln -sf ../share/aptoncd/aptoncd.py aptoncd && \
	chmod 755 aptoncd
		
install-po:
	for lang in $(PO); do install -m 644 locale/$$lang/LC_MESSAGES/* $(DESTDIR)$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; done

po-dir:
	for lang in $(PO); do mkdir -p locale/$$lang/LC_MESSAGES/ ;done

po-data: po-dir
	for lang in $(PO); do msgfmt locale/$$lang.po -o locale/$$lang/LC_MESSAGES/aptoncd.mo;done

po-gen:
	intltool-extract --type=gettext/glade aptoncd.glade
	xgettext -k_ -kN_ -o locale/messages.pot *.py *.h
	for lang in $(PO); do msgmerge -U locale/$$lang.po locale/aptoncd.pot; done
