=== debian/control ===
Source: aptoncd
Section: admin
Priority: extra
Maintainer: Fabrice Coutadeur <coutadeurf@gmail.com>
Build-Depends: debhelper (>= 5.0.51~)
Build-Depends-Indep: python-distutils-extra, python-all (>= 2.6.6-3~)
Standards-Version: 3.8.4
Homepage: http://aptoncd.sourceforge.net

Package: aptoncd
Architecture: all
Recommends: k3b | brasero, yelp
Suggests: update-notifier, gdebi
Depends: ${python:Depends}, libgnomevfs2-0, genisoimage, apt-utils, synaptic (>= 0.57.7), python-gnome2, python-apt (>= 0.7.93), python-glade2, python-dbus, lsb-release, gksu, python-gtk2, gnome-icon-theme, ${misc:Depends}
Description: Installation disc creator for packages downloaded via APT
 APT removable repository creator and package backup tool for Debian based
 systems.
 .
 This tool will allow you to create a media (CD or DVD) to use to install
 software via APT in a non-connected machine, as well upgrade and install
 the same set of softwares in several machines with no need to re-download
 the packages again.
