## aptoncd 0.1.98+bzr117

=== debian/changelog ===
aptoncd (0.1.98+bzr117-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No change: Rebuild with python >= 2.6

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 25 Jun 2010 18:25:53 +0000

aptoncd (0.1.98+bzr117-1) unstable; urgency=low

  * New upstream release.
    - Using a better theme color to show old packages.
    - Updated for python-apt 0.8 API (Closes: #572076)
    - Also fix the "gtk.HBox has no attribute" crash (Closes: #581645)
  * debian/rules:
    - updated the get-orig-source target to delete the +bzr part of the version.
    - Deletes empty directory before they go into the deb
    - deleted unused REPOS_VERSION variable
  * Switch to dpkg-source 3.0 (quilt) format
  * fix-desktop-file.patch: Convert direct changes to data/aptoncd.desktop.in
    to a patch and fix another validation warning in Categories
  * debian/control: 
    - Bump standard-versions to 3.8.4. No changes required.
    - Changed build-dependency on python-all-dev to python-all
  * Deleted useless debian/dirs file
  * debian/docs: do not install empty README file.

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Fri, 14 May 2010 19:28:39 +0200

aptoncd (0.1.98+bzr115-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - Fix for "aptoncd crashed with KeyError in create_aptoncd()" (LP: #214353)
    - Fix for "aptoncd crashed with AttributeError in __init__()" (LP: #509312)
    - Fix LP: #475289 that not umount the iso file after restore.
  * debian/control:
    - bump standard-versions to 3.8.3. No changes required.
    - Added misc:Depends as dependency to avoid a lintian warning

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 02 Feb 2010 05:58:53 +0000

aptoncd (0.1.98+bzr112-1) unstable; urgency=low

  * New upstream release
    - Deliver again the translations
  * debian/rules: optimize the clean target

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Mon, 24 Aug 2009 09:56:20 +0000

aptoncd (0.1.98+bzr110-1) unstable; urgency=low

  * New maintainer (Closes: #542459, #484637, #542501)
  * New upstream release
    - Fix the executable flag on non executable files. This fix last lintian
      warnings
  * debian/rules: prepared for python2.6 (include of python.mk and use of 
    $(py_setup_install_args) )

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Wed, 19 Aug 2009 21:41:06 +0200

aptoncd (0.1.98+bzr109-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (Closes: #452205, #423480, #433915, #541047, #427003,
    #493647, #484636)
  * debian/control: 
    - Changed python build dependencies to Build-Depends-Indep
    - Moved url from Description to Homepage
    - Changed Standards-Version to 3.8.2
    - Changed Maintainer to myself
    - Deleted dependency on deprecated mkisofs 
    - Deleted recommend of nautilus-cd-burner
  * debian/copyright: Changed (C) to © to make lintian happy
  * debian/rules: 
    - deleted deprecated dh_desktop
    - added get-orig-source target to get the latest source from lp
  * data/aptoncd.desktop.in: Fixed error and deprecated values in Desktop file

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Mon, 17 Aug 2009 22:04:26 +0200

aptoncd (0.1.98-0ubuntu4) intrepid; urgency=low

  * Fix for the bug (LP: #272509);
  * Making APTonCD cosume less memory.

 -- Laudeci Oliveira <laudeci@ubuntu.com>  Mon, 12 Oct 2008 20:43:17 -0300

aptoncd (0.1.98-0ubuntu3) intrepid; urgency=low

  [ Kjell Braden ]
  * APTonCD/core/scanpkgs.py: fix creation of package index by reading
    everything apt-ftparchive tells us (LP: #159721)

  [ Scott Kitterman ]
  * Version build-dep on dephelper to (>= 5.0.51~) due to dh_icons

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Sep 2008 09:09:05 -0400

aptoncd (0.1.98-0ubuntu2) intrepid; urgency=low

  * APTonCD/core/dbus_helper.py: fix dbus 1.1.20 interface requirements
    (LP: #199600)

 -- Kjell Braden <fnord@pentabarf.de>  Sun, 15 Jun 2008 16:27:38 +0200

aptoncd (0.1.98-0ubuntu1) hardy; urgency=low
  * Now the window title reflects the current mode (create/restore);
  * APTonCD/core/gui.py:
   - setting proper icon for question dialogs;
  * APTonCD/restore/restoreWindow.py:
   - remove the $TMP/aptoncd-mnt-image/ folder after umounting it;
  * data/glade/main_window.glade:
   - Changing Edit menu strings to have some consistency with the
     context menu strings;
  * Now users will be able to cancel creation progress
   - (except when making iso operation is in progress);
  * Check for avalilable space on tmp dir and destination dir before
    create the disk;
  * Added 'aptoncd' icon for dialog messages;
  * fixed a bug that caused an error when user doenst create a metapackage
    - closes LP:#154609;
  * Implemented --packages-list=FILE to imput the packages that will be
    listed in create mode;
  * Added a paramether --non-interactive to work together with
    --packages-list=FILE; 
  * Added the menu View > Columns, where user can show/hide the Size and
    Version column in packages list;
  * If no package were selected set the sensitive of the "Burn..." button
    to false until a package is selected;
  * Use a menu radio instead tabs for changing modes;
  * Define if a package is older comparing with the other with the same
    name in the list, not with the installed one;

 -- Rafael Proença <cypherbios@ubuntu.com>  Sat, 05 Jan 2008 21:19:45 -0300

aptoncd (0.1.97-0ubuntu1) gutsy; urgency=low
  * debian/control:
   - remove the mkisofs splict dependency, add genisoimage as alternative;
  * Usability improvements on main window;
  * Removed tabs; now the modes are switched in "Mode" menu;
  * PackagesList:
   - Compare if the package is older with the one with the same name in the list, not with the installed one;
   - Fixed GTK warings while [un]checking packages using the Edit menu;
  * updated translations:
   - de, el, es, fr, hr, nl, pl, pt_BR, sv

 -- Rafael Proença <cypherbios@ubuntu.com>  Mon, 10 Sep 2007 15:28:19 -0300

aptoncd (0.1.96-0ubuntu1) gutsy; urgency=low

