=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: aptoncd
 Section: admin
 Priority: extra
+XS-Python-Version: all
 Maintainer: Fabrice Coutadeur <coutadeurf@gmail.com>
 Build-Depends: debhelper (>= 5.0.51~)
-Build-Depends-Indep: python-distutils-extra, python-all (>= 2.6.6-3~)
+Build-Depends-Indep: python-distutils-extra, python-central (>= 0.5.6), python-all
 Standards-Version: 3.8.4
 Homepage: http://aptoncd.sourceforge.net
 
 Package: aptoncd
 Architecture: all
+XB-Python-Version: ${python:Versions}
 Recommends: k3b | brasero, yelp
 Suggests: update-notifier, gdebi
 Depends: ${python:Depends}, libgnomevfs2-0, genisoimage, apt-utils, synaptic (>= 0.57.7), python-gnome2, python-apt (>= 0.7.93), python-glade2, python-dbus, lsb-release, gksu, python-gtk2, gnome-icon-theme, ${misc:Depends}
