=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include /usr/share/python/python.mk
 
 #export DH_VERBOSE=1
+export DH_PYCENTRAL=nomove
 CFLAGS = -Wall -g
 PYVERS=$(shell pyversions -vr)
 
@@ -42,18 +43,17 @@
 
 	dh_clean 
 
-install-python%:
-	python$* ./setup.py install --prefix=$(CURDIR)/debian/aptoncd/usr $(py_setup_install_args)
-
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean
 	dh_installdirs
 	cd $(CURDIR)/po; make update-po
-	$(MAKE) -f debian/rules $(PYVERS:%=install-python%)
+	python ./setup.py install --prefix=$(CURDIR)/debian/aptoncd/usr $(py_setup_install_args)
 	# Delete empty directories
-	rm -rf $(CURDIR)/debian/aptoncd/usr/share/help/*/aptoncd/figures/
+	rm -rf $(CURDIR)/debian/aptoncd/usr/share/gnome/help/aptoncd/C/figures/
+	rm -rf $(CURDIR)/debian/aptoncd/usr/share/omf/aptoncd
+	rm -rf $(CURDIR)/debian/aptoncd/usr/share/omf
 	
 binary-indep: build install
 	dh_icons
@@ -68,7 +68,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python2
+	dh_pycentral
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
